## org.apache.mahout.cf.taste.example.email
Class EmailUtility

    java.lang.Object
      org.apache.mahout.cf.taste.example.email.EmailUtility

    public final class EmailUtility

extends Object

Nested Class Summary
`static class` `EmailUtility.Counters`

Field Summary
`static String` `FROM_INDEX`
`static String` `FROM_PREFIX`
`static String` `MSG_ID_DIMENSION`
`static String` `MSG_IDS_PREFIX`
`static String` `REFS_INDEX`
`static String` `SEPARATOR`
`static Pattern` `WHITESPACE`

Method Summary
`static String` `cleanUpEmailAddress(CharSequence address)` Strip off some spurious characters that make it harder to dedup
`static void` `loadDictionaries(org.apache.hadoop.conf.Configuration conf, String fromPrefix, OpenObjectIntHashMap<String> fromDictionary, String msgIdPrefix, OpenObjectIntHashMap<String> msgIdDictionary)`
`static String[]` `parseReferences(CharSequence rawRefs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

### MSG_IDS_PREFIX

    public static final String MSG_IDS_PREFIX

See Also:
  Constant Field Values

### FROM_PREFIX

    public static final String FROM_PREFIX

See Also:
  Constant Field Values

### MSG_ID_DIMENSION

    public static final String MSG_ID_DIMENSION

See Also:
  Constant Field Values

### FROM_INDEX

    public static final String FROM_INDEX

See Also:
  Constant Field Values

### REFS_INDEX

    public static final String REFS_INDEX

See Also:
  Constant Field Values

### WHITESPACE

    public static final Pattern WHITESPACE

Method Detail

### cleanUpEmailAddress

    public static String cleanUpEmailAddress(CharSequence address)

  Strip off some spurious characters that make it harder to dedup

### loadDictionaries

    public static void loadDictionaries(org.apache.hadoop.conf.Configuration conf,
                                        String fromPrefix,
                                        OpenObjectIntHashMap<String> fromDictionary,
                                        String msgIdPrefix,
                                        OpenObjectIntHashMap<String> msgIdDictionary)
                                 throws IOException

  Throws:
    `IOException`

### parseReferences

    public static String[] parseReferences(CharSequence rawRefs)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.